List pending workspace invitations
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
Returns the pending invitations for this workspace. An invitation is created when a brand-new user is added via POST /api/v1/members with sendInvite: true.
Permission required: MANAGE_WORKSPACE_MEMBERS on the workspace.
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
Paginated pending workspace invitations
application/json- response
Paginated pending workspace invitations
invites*array<>totalPages*numbercurl -X GET 'https://app.sajn.se/api/v1/member-invites?page=1&perPage=20' \ -H 'authorization: string'Example Response
{ "invites": [ { "id": "string", "email": "string", "role": { "id": "string", "name": "string" }, "status": "string", "invitedBy": { "userId": "string", "name": "string", "email": "string" }, "createdAt": null, "expiresAt": null } ], "totalPages": 0}Was this page helpful?